summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-06-13 18:50:03 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-06-13 18:50:45 +0200
commitf8b68cbe7c388bbfcf5134eefbca162c914f57dc (patch)
treeeb3ee941eca011b9f62e13971cd04e97b59ece99 /dev-qt/qtdatavis3d
parentmedia-libs/mesa: Support unconditional enabling of drivers (diff)
downloadgentoo-f8b68cbe7c388bbfcf5134eefbca162c914f57dc.tar.gz
gentoo-f8b68cbe7c388bbfcf5134eefbca162c914f57dc.tar.bz2
gentoo-f8b68cbe7c388bbfcf5134eefbca162c914f57dc.zip
dev-qt: Add Qt 5.9.6
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'dev-qt/qtdatavis3d')
-rw-r--r--dev-qt/qtdatavis3d/Manifest1
-rw-r--r--dev-qt/qtdatavis3d/qtdatavis3d-5.9.6.ebuild31
2 files changed, 32 insertions, 0 deletions
diff --git a/dev-qt/qtdatavis3d/Manifest b/dev-qt/qtdatavis3d/Manifest
index d59854c1743..47af4baf1ff 100644
--- a/dev-qt/qtdatavis3d/Manifest
+++ b/dev-qt/qtdatavis3d/Manifest
@@ -1,3 +1,4 @@
DIST qtdatavis3d-everywhere-src-5.11.0-rc2.tar.xz 5206572 BLAKE2B f21b2a1ea278dd279b4c6edd896143923e6d49d5b5bfd1120130e4c4edd5b93505ab762a803c26ecc432be605536c73ba083172ca7a5159f6b5c913b470346c2 SHA512 116a15f21265b179d4980ff3a5a5a5971d4d78988bb9fd477666e8cedd8db0bb9aa6439357723ddd2e91f831faad15739304938bd8fa866fee4937a5c0531aba
DIST qtdatavis3d-opensource-src-5.9.4.tar.xz 5164120 BLAKE2B e8e9586da6e261f22ac6dba12b530755b1b6914f702a33d196968f7c8812e4d5a6b86dd7584c109385fa2e9bc33fcfc067b2538f8d4cff69d3a0624a26822a8e SHA512 8e314d4b0324b6d9aa9a4a63bd3e21010545ce7ffa250614ceea6052b37d7519036a4e13ce1b3cd264e5ce00453bceb774234932cf3c3a49bcded0988d4110c2
DIST qtdatavis3d-opensource-src-5.9.5.tar.xz 5161916 BLAKE2B a284269677d9a60ef13f4970a922706ba5ec3f7ba864175989ed37b5396529286cab3cd51d6cb2a9890fca6384438b41b2adeebe2099649da1735458e68be7ef SHA512 8f8b93a4e89c1d95068ae188d11f796f6ae161a01b53254f3ef9d434b2f9335a554f377d813e82de242cbcdf68815918430bdee8329b831f82b989f5c517da94
+DIST qtdatavis3d-opensource-src-5.9.6.tar.xz 5162724 BLAKE2B b6211a06b5484ddcb81fbe0f676fd4866e2e7b586ad3cd732f080c66079a2cd2b9d53eef25c536cb887686363df3ff39272272e4db621faf28c04e68ac011147 SHA512 fc209e704010e8be5fd6600f86eab5e6b45acde16472589da4945a70db320a13cf282db566182cc546191d245d258a3a227d1bdcdebbc7c7ed31ea00b929d495
diff --git a/dev-qt/qtdatavis3d/qtdatavis3d-5.9.6.ebuild b/dev-qt/qtdatavis3d/qtdatavis3d-5.9.6.ebuild
new file mode 100644
index 00000000000..647770499ac
--- /dev/null
+++ b/dev-qt/qtdatavis3d/qtdatavis3d-5.9.6.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="3D data visualization library for the Qt5 framework"
+LICENSE="GPL-3"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+IUSE="gles2 qml"
+
+DEPEND="
+ ~dev-qt/qtcore-${PV}
+ ~dev-qt/qtgui-${PV}[gles2=]
+ qml? ( ~dev-qt/qtdeclarative-${PV}[gles2=] )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ # eliminate bogus dependency on qtwidgets
+ sed -i -e '/requires.*widgets/d' qtdatavis3d.pro || die
+
+ qt_use_disable_mod qml quick \
+ src/src.pro
+
+ qt5-build_src_prepare
+}